Subject: Re: bug#36927: 26.2.90; include stdarg.h is without hyperlinking on vfprintf's manpage

From: Noam Postavsky <[email-masked]>
Date: Sun, 18 Aug 2019 18:37:55 -0400

tags 36927 fixed
close 36927 27.1
quit

Eli Zaretskii <[email-masked]> writes:

> never shows when one steps with Edebug.)

I had a similar experience when fixing term.el to handle chunking.  I
found using trace-function on the filter function, and then reproducing
the same chunking by calling the filter function directly was an
effective way to handle this.

(Also, changing the default handling of filters as Stefan suggests in
Bug#13400 might help with this.)

> I think I made it much better on master, although I still see a rare
> case where one or the other "include" is not buttonized.  But I've run
> out of time, so someone else will have to find and fix what I missed.
>
> I'm leaving this bug open because I don't think it's 100% fixed.

I think it should be fully fixed now.

f9464020d4 2019-08-18T18:19:21-04:00 "Handle more subprocess chunking in M-x man (Bug#36927)"
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=f9464020d403be8344f8293297b27276872571d4